Bug 258239 - audio/libaacplus: fix MASTER_SITES
Summary: audio/libaacplus: fix MASTER_SITES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Daniel Engberg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-03 07:32 UTC by takefu
Modified: 2021-10-14 08:33 UTC (History)
1 user (show)

See Also:


Attachments
libaacplus-2.0.2_9.patch (6.27 KB, patch)
2021-09-03 07:32 UTC, takefu
no flags Details | Diff
libaacplus-2.0.2_9.patch (6.58 KB, patch)
2021-10-11 03:45 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2021-09-03 07:32:44 UTC
Created attachment 227634 [details]
libaacplus-2.0.2_9.patch

fix
  MASTER_SITES http -> https
  3gpp library change 26410-800 -> 26410-g00
  portclippy pass
Comment 1 Daniel Engberg freebsd_committer 2021-10-05 08:18:34 UTC
Hi,

This patch doesn't apply and is it time to deprecate this in favour of audio/fdk-aac and audio/exhale since it hasn't been touched since 2011 by upstream?

Patching file /usr/ports/audio/libaacplus/Makefile using Plan A...
Hunk #1 succeeded at 1.
Hunk #2 failed at 15.
Hunk #3 succeeded at 37 (offset 1 line).

Best regards,
Daniel
Comment 2 takefu 2021-10-11 03:45:06 UTC
Created attachment 228575 [details]
libaacplus-2.0.2_9.patch

(In reply to Daniel Engberg from comment #1)
There is no demand and there is no upstream update, so let's flag the deprecation target.
Comment 3 commit-hook freebsd_committer 2021-10-14 08:32:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9e9918d1f04b0eb8c57cc09b6359fd15bc735d17

commit 9e9918d1f04b0eb8c57cc09b6359fd15bc735d17
Author:     takefu <takefu@airport.fm>
AuthorDate: 2021-10-14 08:27:13 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-10-14 08:31:37 +0000

    audio/libaacplus: Fix MASTER_SITES, deprecate and set expiration date to 2021-12-31

    PR:             258239
    Approved by:    arrowd (mentor)
    Differential Revision:  https://reviews.freebsd.org/D32471

 audio/libaacplus/Makefile                    | 27 +++++++++-------
 audio/libaacplus/distinfo                    |  5 +--
 audio/libaacplus/files/patch-src_Makefile.am | 48 ++++++++++++++++++++++++----
 audio/libaacplus/pkg-descr                   |  2 +-
 4 files changed, 60 insertions(+), 22 deletions(-)
Comment 4 Daniel Engberg freebsd_committer 2021-10-14 08:33:28 UTC
Committed, thanks!